<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/producto.php';
require '../../modelo/producto_categoria.php';
require '../../modelo/environment.php';
require '../../modelo/precio.php';

$response = array();

if(!isset($_POST['id_producto'])){
    $response['response'] = 'error';
    $response['message'] = 'No se recibió el id del producto';
    echo json_encode($response);
    return;
}

$id_producto = $_POST['id_producto'];

$producto = Producto::mdlGetProductoById($id_producto);

// Hacemos un decode de las imagenes

$imagenes = json_decode($producto['imagenes']);
$url_servidor = Environment::getUrlServidor();
foreach($imagenes as $key => $imagen){
    $imagenes[$key]->url_incompleta = $imagen->url;
    $imagenes[$key]->url = $url_servidor . $imagen->url;
}
$producto['imagenes'] = $imagenes;

$response['data'] = $producto['imagenes'];

echo json_encode($response);
